# Uses of Class
org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy

Packages that use IRepositoryProtector.AuthorizationStrategy
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.

## Uses of IRepositoryProtector.AuthorizationStrategy in org.eclipse.emf.cdo.server

Subclasses of IRepositoryProtector.AuthorizationStrategy in org.eclipse.emf.cdo.server
Modifier and Type
Class
Description
`static class`
`IRepositoryProtector.AuthorizationStrategy.Additive`
`static class`
`IRepositoryProtector.AuthorizationStrategy.Constant`
`static class`
`IRepositoryProtector.AuthorizationStrategy.Constant.None`
`static class`
`IRepositoryProtector.AuthorizationStrategy.Constant.Read`
`static class`
`IRepositoryProtector.AuthorizationStrategy.Constant.Write`
`static class`
`IRepositoryProtector.AuthorizationStrategy.Subtractive`
Fields in org.eclipse.emf.cdo.server declared as IRepositoryProtector.AuthorizationStrategy
Modifier and Type
Field
Description
`static final IRepositoryProtector.AuthorizationStrategy`
IRepositoryProtector.AuthorizationStrategy.`DEFAULT`
The `additive` default authorization strategy.
Methods in org.eclipse.emf.cdo.server that return IRepositoryProtector.AuthorizationStrategy
Modifier and Type
Method
Description
`IRepositoryProtector.AuthorizationStrategy`
IRepositoryProtector.`getAuthorizationStrategy()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector.AuthorizationStrategy
Modifier and Type
Method
Description
`void`
IRepositoryProtector.`setAuthorizationStrategy(IRepositoryProtector.AuthorizationStrategy authorizationStrategy)`